IPTABLES-APPLY(8)

NUME
iptables-apply - o modalitate mai sigură de a actualiza iptables de la distanță

SINOPSIS
iptables-apply [-hV] [-t timp-așteptare] [-w fișier-salvare] {[fișier-reguli]|-c [comanda-de-executat]}

DESCRIERE

«iptables-apply» va încerca să aplice un nou fișier de reguli (așa cum a ieșit de la «iptables-save», citit de «iptables-restore») sau să ruleze o comandă pentru a configura iptables și apoi va întreba utilizatorul dacă modificările sunt în regulă. Dacă noile reguli iptables taie conexiunea existentă, utilizatorul nu va putea răspunde afirmativ. În acest caz, scriptul revine la regulile iptables care funcționau anterior după expirarea timpului de așteptare.

Regulile aplicate cu succes pot fi, de asemenea, scrise în fișierul de salvare și utilizate ulterior pentru a reveni la această stare. Acest lucru poate fi utilizat pentru a implementa un mecanism de stocare a ultimei configurații bune atunci când se experimentează cu un script de configurare iptables: «iptables-apply -w /etc/network/iptables.up.rules -c /etc/network/iptables.up.run»

Atunci când este apelat ca «ip6tables-apply», scriptul va folosi în schimb «ip6tables-save/-restore» și valorile implicite IPv6. Valoarea implicită pentru fișierul-de-reguli este „/etc/iptables/iptables.up.rules”.

OPȚIUNI

-t secunde, --timeout secunde
    Stabilește timpul de așteptare în secunde după care scriptul va reveni la setul de reguli anterior (implicit: 10).

-w fișier-salvare, --write fișier-salvare
    Specifică fișierul de salvare în care vor fi scrise regulile aplicate cu succes (valoarea implicită în cazul în care se indică un șir gol: „/etc/iptables/iptables.up.rules”).

-c comanda-de-executat, --command comanda-de-executat
    Rulează comanda comanda-de-executat pentru a configura iptables în loc să aplice un fișier de reguli (implicit: „/etc/iptables/iptables/iptables.up.run”).

-h, --help
    Afișează informațiile de utilizare.

-V, --version
    Afișează informațiile despre versiune.

CONSULTAȚI ȘI

iptables-restore(8), iptables-save(8), iptables(8).

LEGALITATE JURIDICĂ

Original iptables-apply - Drepturi de autor 2006 Martin F. Krafft <madduck@madduck.net>. Versiunea 1.1 - Drepturi de autor 2010 GW <gw.2010@tnode.com sau http://gw.tnode.com/>.

Această pagină de manual a fost scrisă de Martin F. Krafft <madduck@madduck.net> și extinsă de GW <gw.2010@tnode.com sau http://gw.tnode.com/>.

Se acordă permisiunea de a copia, distribui și/sau modifica acest document în conformitate cu termenii Licenței artistice 2.0.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.